package com.atlassian.bitbucket.mesh.git.builder.catfile;

/**
 * Defines formats supported by {@code git cat-file}.
 */
public enum CatFileFormat {

    BATCH("--batch"),
    BATCH_CHECK("--batch-check"),
    PRETTY("-p"),
    TYPE("-t");

    private final String flag;

    CatFileFormat(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }
}
